%define name postilion
%define version 0.9.1
%define release 1
%define serial 1

Summary: Postilion is a mail user agent based upon the popular TkRat program.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Group: Applications/Networking
Copyright: GPL
Packager: Ryan Weaver <ryanw@infohwy.com>
Url: http://www.postilion.org
Vendor: Nic Bernstein <nic@postilion.org>
Distribution: Freshmeat RPMs
Source: %{name}-%{version}.tar.gz
Requires: TkStep >= 8.0.4
Buildroot: /var/tmp/%{name}-%{version}-root

%description
Postilion is a mail user agent based upon the popular TkRat program.
The main changes to TkRat are in the user interface portion, so all
of the underlying functionality of TkRat remains. This includes MIME
support, Virtual folders, PGP support, support for unix mail files,
MH folders, POP and IMAP.

%prep

%setup -q
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc BLURB CONFIGURATION COPYING COPYRIGHT.TkRat
%doc COPYRIGHT.images CREDITS HTML_library.license.terms
%doc INSTALL Postilion.html README gpl.html index.html

/usr/bin/postilion
/usr/lib/postilionlib

%changelog
* Tue Feb  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [postilion-0.9.1-1]
- Now building rpm with TkStep-8.0.4 installed.
- Postilion 0.9.1 (February 8, 1999)
- Changes copyright on all images to the OpenContent License (OPL)
- Added new Bounce command, which will bounce a message to a new
  address or addresses.
- Fixed bug with saving messages with no From: header to a dynamic
  mailbox (thanks Luke!).
- Fixed memory leak in folder sort code (Luke again).
- Fixed bugs introduced into printing code, and other areas, in
  last release.
- Fixed bug which prevented salvaging messages which couldn't be
  sent properly.
- Fixed some bugs with the message hold.
- Fixed bug which caused preferences window to think you had made
  changes when you hadn't.
- Fixed bug in expire code.
- Fixed Changes alerting system (what you're reading right now).


* Mon Feb  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [postilion-0.9.0-1]
- Postilion 0.9.0 (January 31, 1999)
- Added new PGP buttons to the compose window when PGP is enabled.
  Note: The meaning of the PGP lock button is now encrypt, where it
  used to be attach keys. There are now separate buttons for attach
  keys and sign. There is also now a button for DSN notification
  request. These buttons will auto size and auto arrange to account
  for different PGP confiigurations, so your compose windows may
  appear different from the picture on the web site.
- Fixed longstanding bug with mailbox sorting. Much thanks to Luke
  Kendall <luke@zeta.org.au>, the newset member of the Postilion
  development team.
- Added CREDITS and COPYRIGHT.images files.
- Added check for tkstepConfig.sh to the configure script.
- Proper detection and configuration for AIX4.2.
- Added option to expunge deleted messages on mailbox close.
- Fixed bug with password caching.
- Added option to display a Syncronize button in the browser
  window. The operation mode of this button is configurable.
- Added option to not print non-text attachments.
- Added options to open selected mailboxes on startup. Such
  mailboxes may be opened minimized or not.
- Added option to append to an existing file when saving message
  parts from the message window.
- Numerous bug fixes in address book.
- When quoting a message, if text is selected in the message being
  quoted, only that text will be quoted.
- Bug fixed in importing mailrc file aliases.
- Fixed the behavior of the New button in the Mailboxes window.
- Fixed a bug with clicking on URLs with commas in them.

* Wed Nov 25 1998 Ryan Weaver <ryanw@infohwy.com>
  [postilion-0.8.9-1]
- Postilion 0.8.9 (September 26, 1998)
  * French language translations for many texts (thanks to didier
    Belot <dib@avo.fr>. More is comming, didier's hard drive crashed,
    which ceased progress for a while.
  * Fixed focus problem when new mail comes in to a different window
    than the currently active one.
  * Fixed bug with message flagging.
  * Other minor bug fixes.
  * Upgraded c-client toolkit.
